import { graphql } from ".";

export const PROMOTION_QUERY = graphql(`
  query GetYear($first: Int!, $after: String, $year: Int!) {
    page: users(
      first: $first
      after: $after
      filter: {
        year: { eq: [$year] }
        nickname: { null: false }
        photo: { null: false }
      }
    ) {
      pageInfo {
        endCursor
        hasNextPage
      }
      nodes {
        id
      }
    }
  }
`);

export const USER_DETAILS_QUERY = graphql(`
  query UserDetails($first: Int = 4, $idList: [String!]!) {
    page: users(first: $first, filter: { id: { like: $idList } }) {
      nodes {
        id
        nickname
        photo {
          url
          thumbnailHash
        }
      }
    }
  }
`);

export const INTE_QUERY = graphql(`
  query Inte {
    globalsValues {
      integration
    }
  }
`);
