import colors from "tailwindcss/colors";
import { getRandomItems } from "$lib/utils";

type Color = keyof typeof colors;

function getColor(currentColor?: string): Color {
  const palette: Color[] = [
    "red",
    "orange",
    "amber",
    "yellow",
    "lime",
    "green",
    "emerald",
    "teal",
    "cyan",
    "sky",
    "blue",
    "indigo",
    "violet",
    "purple",
    "fuchsia",
    "pink",
    "rose",
  ];

  if (palette.includes(currentColor as Color)) {
    return currentColor as Color;
  }

  return getRandomItems(palette, 1)[0];
}

export function load({ cookies }) {
  const colorName = getColor(cookies.get("color"));

  cookies.set("color", colorName, { path: "/" });

  return {
    color: colors[colorName],
  };
}
